/*===========================================================================*/
/*  p-workSlide  */
/*===========================================================================*/
.p-workSlide {
    padding-top: 7rem;
    padding-bottom: 6rem;
    background-image: url(../img/works/fv-bg.webp);
    background-position: center;
    background-size: cover;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.p-workSlide__list--wrapper {
    position: relative;
}

.p-workSlide__list {
    display: flex;
    gap: 1rem;
    overflow: visible;
    justify-content: center;
}

.p-workSlide__list > li {
    width: 96.2rem;
    flex-shrink: 0;
}

.p-workSlide__list > li > a {
    display: block;
    width: 100%;
}

.p-workSlide__list--img {
    max-width: 95.2rem;
    width: 100%;
    aspect-ratio: 962/541;
    overflow: hidden;
}

.p-workSlide__list--img img {
    width: 100%;
    height: 100%;
    transition: all .8s 0s cubic-bezier(.44,.14,.09,1.02);
}

.p-workSlide__list--name {
    margin-top: 3rem;
    color: #FFF;
    font-size: 1.3rem;
    font-weight: 500;
    line-height: 1.3;
}

.p-workSlide__list--ttl {
    margin-top: .6rem;
    color: #FFF;
    font-size: 2.6rem;
    font-weight: 700;
    line-height: 1.4;
}

.p-workSlide__list--ttl .h-txt-line::before {
    background-color: #fff;
}

.p-workSlide__list--tag {
    display: flex;
    flex-wrap: wrap;
    gap: .8rem;
    margin-top: 1.5rem;
}

.p-workSlide__list--tag-txt .--01 {
    color: #FFF;
    font-size: 1.3rem;
    font-weight: 500;
    line-height: 1.3;
    padding: 1rem 1.4rem;
    border-radius: 8px;
    border: .1rem solid rgba(255, 255, 255, 0.30);
    transition: all .8s 0s cubic-bezier(.44,.14,.09,1.02);
}

.p-workSlide__pagenation {
    width: 16.6rem;
    height: .3rem;
    margin: 3rem auto 0;
    gap: .8rem;
    display: flex;
}

.p-workSlide__pagenation--bar {
    width: 33.3%;
    height: 100%;
    background-color: #ffffff4d;
}

.p-workSlide__pagenation--bar.--active {
    background-color: #fff;
}

.p-workSlide__btn {
    position: absolute;
    width: 136.2rem;
    display: flex;
    justify-content: space-between;
    top: 21.2rem;
    left: 50%;
    transform: translateX(-50%);
    align-items: center;
    z-index: 5;
}

.p-workSlide__btn--prev {
    padding-top: 1.2rem;
    width: 11.7rem;
    height: 11.7rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}

.p-workSlide__btn--prev::before {
    background-color: rgba(18, 18, 18, 0.70);
    backdrop-filter: blur(7px);
    border-radius: 100%;
    transition: all .8s 0s cubic-bezier(.44,.14,.09,1.02);
    content: '';
    height: 11.7rem;
    left: 50%;
    transform: translate(-50%,-50%) scale(1);
    position: absolute;
    top: 50%;
    width: 11.7rem;
    z-index: -1;
}

.p-workSlide__btn--prev-txt {
    color: #FFF;
    text-align: center;
    font-size: 1.6rem;
    font-weight: 500;
    line-height: .9;
}

.p-workSlide__btn--prev svg {
    margin-top: 1.3rem;
    width: 1.2rem;
}

.p-workSlide__btn--next {
    padding-top: 1.2rem;
    width: 11.7rem;
    height: 11.7rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}

.p-workSlide__btn--next::before {
    background-color: rgba(18, 18, 18, 0.70);
    backdrop-filter: blur(7px);
    border-radius: 100%;
    transition: all .8s 0s cubic-bezier(.44,.14,.09,1.02);
    content: '';
    height: 11.7rem;
    left: 50%;
    transform: translate(-50%,-50%) scale(1);
    position: absolute;
    top: 50%;
    width: 11.7rem;
    z-index: -1;
}

.p-workSlide__btn--next-txt {
    color: #FFF;
    text-align: center;
    font-size: 1.6rem;
    font-weight: 500;
    line-height: .9;
}

.p-workSlide__btn--next svg {
    margin-top: 1.3rem;
    width: 1.2rem;
}

@media screen and (min-width: 901px) {
    .p-workSlide__list > li > a:hover .p-workSlide__list--img img {
        scale: 1.06;
    }

    .h-wrap:hover .p-workSlide__list--ttl .h-txt-wrap {
        color: #fff8;
    }

    .h-wrap:hover .p-workSlide__list--ttl .h-txt-wrap .h-txt-line::before {
        background-color: #fff8;
    }

    .p-workSlide__list--tag > a:hover > .p-workSlide__list--tag-txt .--01 {
        color: #fff8;
    }

    .p-workSlide__btn--prev:hover::before {
        transform: translate(-50%, -50%) scale(1.3);
        background-color: rgba(204, 7, 0, 0.70);
    }

    .p-workSlide__btn--next:hover::before {
        transform: translate(-50%, -50%) scale(1.3);
        background-color: rgba(204, 7, 0, 0.70);
    }
}

@media screen and (max-width: 900px) {
    .p-workSlide {
        padding-top: 4rem;
        padding-bottom: 3.4rem;
        background-image: url(../img/works/fv-bg-sp.webp);
    }

    .p-workSlide__list {
        gap: .4rem;
    }

    .p-workSlide__list > li {
        width: 33.8rem;
    }

    .p-workSlide__list--img {
        max-width: 33.8rem;
        aspect-ratio: 338/190;
    }

    .p-workSlide__list--name {
        margin-top: 1rem;
        font-size: 1rem;
    }

    .p-workSlide__list--ttl {
        margin-top: .2rem;
        font-size: 2rem;
    }

    .p-workSlide__list--tag {
        gap: .5rem;
        margin-top: 1rem;
    }

    .p-workSlide__list--tag-txt .--01 {
        font-size: 1rem;
        padding: .6rem 1.2rem .7rem;
        border-radius: .4rem;
    }

    .p-workSlide__btn {
        display: none;
    }
}

/*===========================================================================*/
/*  p-workArchive  */
/*===========================================================================*/
.p-workArchive {
    padding-top: 10rem;
    padding-bottom: 10rem;
}

.p-workArchive__head {
    position: relative;
    font-size: 2.8rem;
    font-weight: 900;
    line-height: 1.2; 
    padding-left: 3.7rem;
}

.p-workArchive__head::before {
    background: url(../img/works/txt-deco.webp) no-repeat center center/contain;
    content: '';
    height: .7rem;
    left: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 2.4rem;
}

.p-workArchive__list {
    margin-top: 5rem;
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
}

.p-workArchive__list > li {
    max-width: 40.7rem;
    width: calc((100% - 10rem) / 3);
}

.p-workArchive__list--img {
    width: 100%;
    overflow: hidden;
    border-radius: 1rem;
    max-width: 40.7rem;
    aspect-ratio: 407/229;
}

.p-workArchive__list--img img {
    width: 100%;
    height: 100%;
    transition: all .8s 0s cubic-bezier(.44,.14,.09,1.02);
}

.p-workArchive__list--name {
    font-size: 1.3rem;
    font-weight: 500;
    line-height: 1.3;
    margin-top: 1.5rem;
}

.p-workArchive__list--ttl {
    font-size: 2.2rem;
    margin-top: .6rem;
    font-weight: 700;
    line-height: 1.4;
}

.p-workArchive__list--ttl .--01 {
    display: inline;
    background-image: linear-gradient(#12121280,#12121280); 
    background-position: 0 100%; 
    background-size: 0 1px;
    background-repeat: no-repeat;
    transition: all .8s 0s cubic-bezier(.44,.14,.09,1.02);
}

.p-workArchive__list--tag {
    margin-top: 1.5rem;
    display: flex;
    gap: .8rem;
}

.p-workArchive__list--tag-txt .--01 {
    font-size: 1.3rem;
    font-weight: 500;
    line-height: 1.3;
    padding: 1rem 1.4rem;
    border-radius: .8rem;
    border: 1px solid #C2C2C2;
    transition: all .8s 0s cubic-bezier(.44,.14,.09,1.02);
}

.p-works__pagination {
    margin-top: 8rem;
    padding-top: 5rem;
    border-top: #C2C2C2 solid.1rem;
}

@media screen and (min-width: 901px) {
    .p-workArchive__list > li > a:hover .p-workArchive__list--ttl .--01 {
        background-size: 100% 1px; 
        color: #12121280;
    }

    .p-workArchive__list > li > a:hover .p-workArchive__list--img img {
        scale: 1.06;
    }

    .p-workArchive__list--tag > a:hover > .p-workArchive__list--tag-txt .--01 {
        color: #12121280;
    }
}

@media screen and (max-width: 900px) {
    .p-workArchive {
        padding-top: 6rem;
        padding-bottom: 5rem;
    }

    .p-workArchive__head {
        font-size: 1.8rem;
        padding-left: 2.6rem;
    }

    .p-workArchive__head::before {
        height: .5rem;
        width: 1.7rem;
    }

    .p-workArchive__list {
        margin-top: 3rem;
        row-gap: 3rem;
        column-gap: 1.1rem;
    }

    .p-workArchive__list > li {
        max-width: 16.2rem;
        width: calc((100% - 1.1rem) / 2);
    }

    .p-workArchive__list--img {
        border-radius: .2rem;
        max-width: 16.2rem;
        aspect-ratio: 16.2/9;
    }

    .p-workArchive__list--name {
        font-size: 1rem;
        margin-top: .6rem;
    }

    .p-workArchive__list--ttl {
        font-size: 1.2rem;
        margin-top: .3rem;
    }

    .p-workArchive__list--tag {
        margin-top: .8rem;
        gap: .5rem;
    }

    .p-workArchive__list--tag-txt .--01 {
        font-size: 1rem;
        padding: .6rem 1.2rem .7rem;
        border-radius: .4rem;
    }

    .p-works__pagination {
        margin-top: 4rem;
        padding-top: 4rem;
    }
}
